[SOLVED] Install nVidia : Wants to remove all of Cinnamon!

Questions about hardware and drivers
Forum rules
Before you post please read how to get help
Post Reply
srq2625
Level 4
Level 4
Posts: 359
Joined: Tue Jan 08, 2013 11:35 am
Location: State: Constant Confusion, Country: D'oh

[SOLVED] Install nVidia : Wants to remove all of Cinnamon!

Post by srq2625 » Sun Sep 30, 2018 11:18 am

It's a fresh install of Cindy. Fully updated:

Code: Select all

$ inxi -Fxxz
System:    Host: lmde3 Kernel: 4.9.0-8-amd64 x86_64 bits: 64 compiler: gcc v: 6.3.0 Desktop: Cinnamon 3.8.9 
           wm: muffin dm: LightDM Distro: LMDE 3 Cindy base: Debian 9.3 stretch 
Machine:   Type: Desktop Mobo: ASUSTeK model: SABERTOOTH 990FX R2.0 v: Rev 1.xx serial: <filter> 
           UEFI: American Megatrends v: 2901 date: 05/04/2016 
CPU:       Topology: 8-Core model: AMD FX-8320 bits: 64 type: MCP arch: Bulldozer L2 cache: 2048 KiB 
           flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm bogomips: 56188 
           Speed: 3512 MHz min/max: N/A Core speeds (MHz): 1: 3512 2: 3512 3: 3512 4: 3512 5: 3512 6: 3512 
           7: 3512 8: 3512 
Graphics:  Device-1: NVIDIA GF106 [GeForce GTS 450] driver: nouveau v: kernel bus ID: 07:00.0 
           chip ID: 10de:0dc4 
           Display: x11 server: X.Org 1.19.2 driver: nouveau unloaded: fbdev,modesetting,vesa alternate: nv 
           resolution: 1600x1200~60Hz, 1600x1200~60Hz 
           OpenGL: renderer: Gallium 0.4 on NVC3 v: 4.3 Mesa 13.0.6 compat-v: 3.0 direct render: Yes 
Audio:     Device-1: Advanced Micro Devices [AMD/ATI] SBx00 Azalia driver: snd_hda_intel v: kernel 
           bus ID: 00:14.2 chip ID: 1002:4383 
           Device-2: NVIDIA GF106 High Definition Audio driver: snd_hda_intel v: kernel bus ID: 07:00.1 
           chip ID: 10de:0be9 
           Sound Server: ALSA v: k4.9.0-8-amd64 
Network:   Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet driver: r8169 v: 2.3LK-NAPI 
           port: b000 bus ID: 0a:00.0 chip ID: 10ec:8168 
           IF: enp10s0 state: up speed: 1000 Mbps duplex: full mac: <filter> 
Drives:    Local Storage: total: 2.11 TiB used: 636.76 GiB (29.5%) 
           ID-1: /dev/sda vendor: Seagate model: ST320DM000-1BD14C size: 298.09 GiB speed: 6.0 Gb/s 
           serial: <filter> temp: 39 C 
           ID-2: /dev/sdb type: USB vendor: Toshiba model: MQ01UBB200 size: 1.82 TiB serial: <filter> 
Partition: ID-1: / size: 48.97 GiB used: 5.25 GiB (10.7%) fs: ext4 dev: /dev/sda2 
           ID-2: /home size: 242.21 GiB used: 605.3 MiB (0.2%) fs: ext4 dev: /dev/sda3 
Sensors:   System Temperatures: cpu: 23.0 C mobo: N/A gpu: nouveau temp: 41 C 
           Fan Speeds (RPM): cpu: 0 gpu: nouveau fan: 1680 
Info:      Processes: 239 Uptime: 48m Memory: 15.57 GiB used: 1.61 GiB (10.3%) Init: systemd v: 232 runlevel: 5 
           Compilers: gcc: 6.3.0 alt: 6 Shell: bash v: 4.4.12 running in: gnome-terminal inxi: 3.0.26 
Though it probably has nothing to do with it, I had a perfectly running BIOS install (on a different disk that is in safe-keeping), but decided to try to get UEFI working on this machine as that's supposed to be better and I wanted to try it out:

Code: Select all

$ sudo parted -l
Model: ATA ST320DM000-1BD14 (scsi)
Disk /dev/sda: 320GB
Sector size (logical/physical): 512B/4096B
Partition Table: gpt
Disk Flags: 

Number  Start   End     Size    File system  Name   Flags
 1      1049kB  1075MB  1074MB  fat32        Boot   boot, esp
 2      1075MB  54.8GB  53.7GB  ext4         LMDE3
 3      54.8GB  320GB   265GB   ext4         Home
Installed nvidia-detect and ran it, producing:

Code: Select all

$ nvidia-detect
Detected NVIDIA GPUs:
07:00.0 VGA compatible controller [0300]: NVIDIA Corporation GF106 [GeForce GTS 450] [10de:0dc4] (rev a1)

Checking card:  NVIDIA Corporation GF106 [GeForce GTS 450] (rev a1)
Your card is supported by all driver versions.
It is recommended to install the
    nvidia-driver
package.
OK, so I attempted to install nvidia-driver and got this:

Code: Select all

$ sudo apt-get install nvidia-driver
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 nvidia-driver : Depends: nvidia-driver-libs (= 384.130-1) but it is not going to be installed or
                          nvidia-driver-libs-nonglvnd (= 384.130-1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
I've never had this problem before, but OK, I check out the problem with

Code: Select all

$ sudo apt-get install nvidia-driver-libs
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 nvidia-driver-libs : Depends: nvidia-egl-icd (= 384.130-1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
So, diving just a little deeper:

Code: Select all

$ sudo apt-get install nvidia-egl-icd nvidia-driver-libs
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  glx-alternative-mesa glx-alternative-nvidia glx-diversions libegl-nvidia0 libegl1-glvnd-nvidia libgl1 libgl1-nvidia-glvnd-glx libglvnd0 libglx-nvidia0 libglx0
  libnvidia-eglcore libnvidia-glcore nvidia-alternative nvidia-egl-common nvidia-installer-cleanup nvidia-legacy-check update-glx
Suggested packages:
  nvidia-driver
Recommended packages:
  nvidia-driver-libs-i386 libopengl0 | libopengl0-glvnd-nvidia libgles-nvidia1 libgles-nvidia2 libnvidia-cfg1 nvidia-egl-wayland-icd nvidia-vulkan-icd
The following packages will be REMOVED:
  caribou cinnamon cinnamon-common cinnamon-dbg gir1.2-clutter-1.0 gir1.2-clutter-gst-3.0 gir1.2-cogl-1.0 gir1.2-coglpango-1.0 gir1.2-gtkclutter-1.0
  gir1.2-meta-muffin-0.0 gir1.2-xplayer-1.0 gnome-session-bin gstreamer1.0-clutter-3.0 libchamplain-0.12-0 libchamplain-gtk-0.12-0 libclutter-1.0-0 libclutter-gst-3.0-0
  libclutter-gtk-1.0-0 libcogl-pango20 libcogl-path20 libcogl20 libgl1-mesa-glx libmuffin0 libxplayer0 mint-meta-cinnamon muffin muffin-dbg nemo-preview xplayer
  xplayer-dbg xplayer-plugins xviewer-plugins xwayland
The following NEW packages will be installed:
  glx-alternative-mesa glx-alternative-nvidia glx-diversions libegl-nvidia0 libegl1-glvnd-nvidia libgl1 libgl1-nvidia-glvnd-glx libglvnd0 libglx-nvidia0 libglx0
  libnvidia-eglcore libnvidia-glcore nvidia-alternative nvidia-driver-libs nvidia-egl-common nvidia-egl-icd nvidia-installer-cleanup nvidia-legacy-check update-glx
0 upgraded, 19 newly installed, 33 to remove and 0 not upgraded.
Need to get 15.8 MB of archives.
After this operation, 38.3 MB of additional disk space will be used.
Do you want to continue? [Y/n] n
So, the list of packages to be removed caused me some concern as it looks to me like it wants to remove all (or most of) Cinnamon. So, I aborted the install to come here and ask advise from those who know more than me.

Anyone have any ideas of where to go from here?
Last edited by srq2625 on Tue Oct 02, 2018 11:22 am, edited 1 time in total.

Monsta
Level 10
Level 10
Posts: 3013
Joined: Fri Aug 19, 2011 3:46 am

Re: Install nVidia : Wants to remove all of Cinnamon!

Post by Monsta » Mon Oct 01, 2018 7:05 am

Do you have any additional repositories enabled? Because libglvnd0 and libglx0 aren't in LMDE 3 or Debian Stretch repos.

srq2625
Level 4
Level 4
Posts: 359
Joined: Tue Jan 08, 2013 11:35 am
Location: State: Constant Confusion, Country: D'oh

Re: Install nVidia : Wants to remove all of Cinnamon!

Post by srq2625 » Mon Oct 01, 2018 7:56 am

Monsta wrote:
Mon Oct 01, 2018 7:05 am
Do you have any additional repositories enabled? Because libglvnd0 and libglx0 aren't in LMDE 3 or Debian Stretch repos.
Oh, very good.

Code: Select all

$ inxi -r
Repos:     No active apt repos in: /etc/apt/sources.list 
           Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list 
           1: deb http://mirrors.advancedhosters.com/linuxmint/packages cindy main upstream import backport
           2: deb http://debian.ec.as6453.net/debian/ stretch main contrib non-free
           3: deb http://debian.ec.as6453.net/debian/ stretch-updates main contrib non-free
           4: deb http://security.debian.org/ stretch/updates main contrib non-free
           5: deb http://ftp.debian.org/debian stretch-backports main
           6: deb http://www.deb-multimedia.org stretch main non-free
Double checking the repo from which these are coming:

Code: Select all

$ apt-cache policy libglvnd0 libglx0
libglvnd0:
  Installed: (none)
  Candidate: 1.0.0+git20180308-2~bpo9+1
  Version table:
     1.0.0+git20180308-2~bpo9+1 100
        100 http://ftp.debian.org/debian stretch-backports/main amd64 Packages
libglx0:
  Installed: (none)
  Candidate: 1.0.0+git20180308-2~bpo9+1
  Version table:
     1.0.0+git20180308-2~bpo9+1 100
        100 http://ftp.debian.org/debian stretch-backports/main amd64 Packages
ETA: I removed the backports repo and attempted the install again. This time it ran with no issues. Very good call and I thank you for your kind help.

Monsta
Level 10
Level 10
Posts: 3013
Joined: Fri Aug 19, 2011 3:46 am

Re: Install nVidia : Wants to remove all of Cinnamon!

Post by Monsta » Mon Oct 01, 2018 8:17 am

Oh, looks like it's a known problem with nvidia and stretch-backports:

https://bugs.debian.org/903770
https://bugs.debian.org/906903

Post Reply

Return to “Hardware Support”